function [timeMeshOut] = adjustTimeMesh(clickDBtimeMs, startSamp, endSamp, k, m)
    % typisk: k = 0.1 m = 0.2
    % k strammer orginal, m strammer mot mesh
    
    timeMeshOut = makeTimeMesh(clickDBtimeMs, startSamp, endSamp); % even i intervallet
    
    
    for n = 1 : 100000
        
        for i = startSamp + 1 : endSamp - 1
            
            diff = timeMeshOut(i) - clickDBtimeMs(i);
            diffInternPluss = timeMeshOut(i+1) - timeMeshOut(i);
            diffInternMinus = timeMeshOut(i) - timeMeshOut(i-1);
            
            diffInternSum = diffInternPluss - diffInternMinus;
            timeMeshOut(i) = timeMeshOut(i) - k*diff + m*diffInternSum;
            
        end
        
    end
    
end


%{

clickDBtimeMsTmp = zeros(80, 1);
clickDBtimeMsTmp = (0 : 40000/80 :40000)';
clickDBtimeMsTmp(2:end) = clickDBtimeMsTmp(2:end) + 1400;
clickDBtimeMsTmp(end-1 : end) = clickDBtimeMsTmp(end-1 : end) + 500;
clickDBtimeMsTmp = clickDBtimeMsTmp + 700*sin(7*pi*clickDBtimeMsTmp/40000);
clickDBtimeMsTmp = clickDBtimeMsTmp + 280*rand(size(clickDBtimeMsTmp,1),1);


startSamp = 10;
endSamp = size(clickDBtimeMsTmp,1) -10;
timeMeshEven = makeTimeMesh(clickDBtimeMsTmp, startSamp, endSamp);


timeMeshAdj = adjustTimeMesh(clickDBtimeMsTmp, startSamp, endSamp, 0.1, 0.2);


figure(10);clf;hold on;
line([clickDBtimeMsTmp timeMeshAdj],[1 2], 'color', [0 0 0]);
line([timeMeshAdj timeMeshEven],[2 3], 'color', [0 0 0], 'color', [1 0 0]);

line([clickDBtimeMsTmp(startSamp) timeMeshEven(startSamp)],[1 2], 'lineWidth', 2);
line([clickDBtimeMsTmp(endSamp) timeMeshEven(endSamp)],[1 2], 'lineWidth', 2);

axis([-400 42000 0.9 3.1]);
ylabel('noise, adj, even');





%}